$ Copyright 1996-2002 Sun Microsystems, Inc.  All rights reserved.
$ Use is subject to license terms.

$ Message ID ranges:
$ VERBOSE  1 ~ 1999
$ INFO     2000 ~ 3999
$ WARNING  4000 ~ 5999
$ ERROR    6000 ~ 7999
$ FATAL    8000 ~ 9998
$ 9999 is reserved by test library for old style messages.
$ 0 is reserved and is an invalid message for all tests.
$ L1_CALLBACK_MSG 1999
1999	"Message recieved from VTS kernel: Type %d %s\n"


$ *********************************************
$ VERBOSE messages
$ *********************************************
$ L1_START_MSG 1
1	"Initiating L1 cache stressing test  ..."
$ L1_PASSCOUNT_MSG 2
2       "Thrash set to %lu iterations"
$ L1_WRVCYCLE_MSG 3
3       "Thrashing L1 cache ..."
$ L1_END_MSG 4
4       "L1 cache stressing complete"
$ L1_BUFFSIZE_MSG
5	"L1 test buffer set to %lu kbytes"
$ L1_PC_SOFT_HIT
6 "\nFor cpu id = %d, FP Loads that hit a P-Cache line  per second that \n was prefetched by software prefetch instruction = %lld hits/sec"

$ *****************************************************
$ INFO messages (includeing INFO, CONSOLE, and LOGFILE)
$ No double quotes (" ") is needed for INFO messages.
$ *****************************************************
$ TEST_USAGE_MSG 2000
2000	"%s specific arguments: \n"
$ L1_CONNECT_MSG 2001
2001	"Connected : CPU Level 1 cache : size %d Kbytes line %d bytes associativity %d"
$ L1_DISCONNECT_MSG 2002
2002	"NotConnected : CPU Level 1 cache"
$ L1_CPCLIB_MSG 2003
2003	"SUNWcpc, SUNWcpcu(x) packages not installed. Performance counters will
not be available." 

$*********************************
$ WARNING messages
$*********************************
$ L1_ALLOCERROR_MSG 8001
4001    "failed to allocate thrash test buffer"
$ L1_CPC_NOTAVAILABLE     4008
4008	"Performance counters will not be available"
$ L1_CPC_VERSION_MISMATCH 4009
4009	"cpc library version mismatch: %s"
$ L1_CPC_FUNC_FAILED      4010
4010	"cpc library function call %s failed : %s"
$ L1_CPC_CANT_MEAS	4011
4011    "Can not measure Events : %s"
$ L1_CPC_CANT_BIND	4012
4012	"Can't bind cpc event to lwp %d, %s: %s"
$ ********************************
$ ERROR messages
$ ********************************
$ L1_RVERROR_MSG 6000
6000    "Read/Verify of L1 cache failed"
$ L1_STRESSERROR_MSG 6001
6001    "Stress of L1 cache failed"
$ L1_NOBIND_MSG 6002
6002    "No process bind information specified"
$ L1_BINDFAIL_MSG 6003
6003    "Bind to proccessor %d failed"

$ *******************************
$ FATAL messages
$ *******************************
$ L1_ARGERROR_MSG 8000
8000   "Please enter an appropriate value, %s=?"
$  L1_MISCOMPARE  8001
8001    " Miscompare has occured. Read Pattern =  %llx, Expected Pattern = %llx\n"
